umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
DialogPageBase Class Reference

`#include <dialogpagebase.h>`

Inheritance diagram for DialogPageBase:

## Public Member Functions
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Member Functions
virtual void | keyPressEvent (QKeyEvent *event)

## Protected Attributes
bool | m_isModified

## Detailed Description

Base class for property dialogs

Author
  Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ DialogPageBase()

DialogPageBase::DialogPageBase | ( | QWidget * | parent | ) |
| explicit

Constructor

## ◆ ~DialogPageBase()

DialogPageBase::~DialogPageBase | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ isModified()

bool DialogPageBase::isModified | ( |  | ) |
| virtual

Return state if page has been modified by user.

The state will be used to determine changed pages.

Returns
  true page has been modified

## ◆ keyPressEvent()

void DialogPageBase::keyPressEvent | ( | QKeyEvent * | event | ) |
| protected virtual

Handle key press event.

Parameters

  event | key press event

## Member Data Documentation

## ◆ m_isModified

bool DialogPageBase::m_isModified
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/dialogpagebase.h
- umbrello/dialogs/pages/dialogpagebase.cpp